aboutsummaryrefslogtreecommitdiffstats
path: root/main/api-sanity-checker/APKBUILD
diff options
context:
space:
mode:
authorWilliam Pitcock <nenolod@dereferenced.org>2012-10-22 20:50:27 +0000
committerWilliam Pitcock <nenolod@dereferenced.org>2012-10-22 20:50:27 +0000
commite437dc562d557f5d39f92dd762b874164417e6c5 (patch)
treedccbced38a496319b8faac03f3e995bb7c66d8d0 /main/api-sanity-checker/APKBUILD
parenta83bdb95be8ad001d10a5bf6bbe76501e3997fd8 (diff)
downloadaports-e437dc562d557f5d39f92dd762b874164417e6c5.tar.gz
aports-e437dc562d557f5d39f92dd762b874164417e6c5.tar.bz2
aports-e437dc562d557f5d39f92dd762b874164417e6c5.tar.xz
main/api-sanity-checker: new aport
Diffstat (limited to 'main/api-sanity-checker/APKBUILD')
-rw-r--r--main/api-sanity-checker/APKBUILD34
1 files changed, 34 insertions, 0 deletions
diff --git a/main/api-sanity-checker/APKBUILD b/main/api-sanity-checker/APKBUILD
new file mode 100644
index 0000000000..140dd0f8c3
--- /dev/null
+++ b/main/api-sanity-checker/APKBUILD
@@ -0,0 +1,34 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+# Maintainer: William Pitcock <nenolod@dereferenced.org>
+pkgname=api-sanity-checker
+pkgver=1.12.10
+pkgrel=0
+pkgdesc="tool for creating automated test suites from any set of C sources"
+url="http://ispras.linuxbase.org/index.php/API_Sanity_Autotest"
+arch="noarch"
+license="GPL"
+depends="perl build-base"
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="https://github.com/downloads/lvc/api-sanity-checker/api-sanity-checker-1.12.10.tar.gz"
+
+_builddir="${srcdir}/${pkgname}-${pkgver}"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+package() {
+ cd "$_builddir"
+ mkdir -p "$pkgdir"/usr
+ perl Makefile.pl -install --prefix=/usr --destdir="$pkgdir" || return 1
+}
+
+md5sums="b59e573c42a7e7398203b9323889bdb5 api-sanity-checker-1.12.10.tar.gz"